ControllerDomainTransformer (Grails 6.0.0)

Package: org.grails.compiler.web

## [Java] Class ControllerDomainTransformer

- org.grails.compiler.web.ControllerDomainTransformer

-     @AstTransformer
      public class ControllerDomainTransformer
      extends AbstractGrailsArtefactTransformer

  Adds binding methods to domain classes.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractGrailsArtefactTransformer` | `AUTO_WIRED_ANNOTATION, CURRENT_PREFIX, DEFAULT_GENERICS_PLACEHOLDERS, INSTANCE_PREFIX, KNOWN_TRANSFORMED_CLASSES, METHOD_MISSING_METHOD_NAME, OBJECT_CLASS, PUBLIC_STATIC_MODIFIER, STATIC_METHOD_MISSING_METHOD_NAME, STATIC_PREFIX, classesTransformedByThis`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.lang.String` | `getArtefactType()`
    `` | `public java.lang.Class<?>` | `getInstanceImplementation()`
    `` | `public java.lang.Class<?>` | `getStaticImplementation()`
    `` | `protected boolean` | `isCandidateInstanceMethod(org.codehaus.groovy.ast.ClassNode classNode, org.codehaus.groovy.ast.MethodNode declaredMethod)`
    `` | `public void` | `performInjection(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)`
    `` | `protected boolean` | `requiresAutowiring()`
    `` | `public boolean` | `shouldInject(java.net.URL url)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractGrailsArtefactTransformer` | `addApiLookupFieldAndSetter, addDelegateInstanceMethod, addDelegateStaticMethod, addEnhancedAnnotation, addToTransformedClasses, clearCachedState, compareTo, createStaticLookupMethod, getArtefactType, getArtefactTypes, getInstanceImplementation, getMarkerAnnotation, getStaticImplementation, getTransformedClassNames, hasArtefactAnnotation, isCandidateInstanceMethod, isStaticCandidateMethod, isStaticMethodExcluded, isStaticMethodIncluded, isValidArtefactType, isValidArtefactTypeByConvention, isValidTargetClassNode, performInjection, performInjection, performInjectionInternal, performInjectionOnAnnotatedClass, performInjectionOnAnnotatedClass, performInstanceImplementationInjection, performStaticImplementationInjection, populateAutowiredApiLookupMethod, populateDefaultApiLookupMethod, requiresAutowiring, requiresStaticLookupMethod, resolveGenericsPlaceHolders, shouldSkipInjection`

- - ### Method Detail

    - #### @java.lang.Override public java.lang.String getArtefactType()

    - #### @java.lang.Override public java.lang.Class<?> getInstanceImplementation()

    - #### @java.lang.Override public java.lang.Class<?> getStaticImplementation()

    - #### @java.lang.Override protected boolean isCandidateInstanceMethod(org.codehaus.groovy.ast.ClassNode classNode, org.codehaus.groovy.ast.MethodNode declaredMethod)

    - #### @java.lang.Override public void performInjection(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)

    - #### @java.lang.Override protected boolean requiresAutowiring()

    - #### public boolean shouldInject(java.net.URL url)